curl --request POST \
--url https://api.woopsocial.com/v1/posts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": [
{
"text": "<string>",
"media": [
{
"type": "MEDIA_LIBRARY",
"mediaId": "<string>"
}
]
}
],
"schedule": {
"type": "PUBLISH_NOW"
},
"socialAccounts": [
{
"platform": "FACEBOOK",
"socialAccountId": "<string>",
"postType": "IMAGE"
}
]
}
'{
"id": "<string>",
"projectId": "<string>",
"content": [
{
"text": "<string>",
"media": [
{
"type": "MEDIA_LIBRARY",
"mediaId": "<string>",
"mediaType": "IMAGE",
"url": "<string>",
"thumbnailUrl": "<string>"
}
]
}
],
"schedule": {
"type": "DRAFT"
},
"autoDeleteMediaAfterPublish": true,
"socialAccountPosts": [
{
"platform": "PINTEREST",
"socialAccountPostId": "<string>",
"postId": "<string>",
"projectId": "<string>",
"socialAccountId": "<string>",
"deliveryStatus": "NOT_STARTED",
"content": [
{
"text": "<string>",
"media": [
{
"type": "MEDIA_LIBRARY",
"mediaId": "<string>",
"mediaType": "IMAGE",
"url": "<string>",
"thumbnailUrl": "<string>"
}
]
}
],
"schedule": {
"type": "DRAFT"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"pinterestBoardId": "<string>",
"deliveryCompletedAt": "2023-11-07T05:31:56Z",
"externalPostId": "<string>",
"externalPostUrl": "<string>",
"errorMessage": "<string>",
"title": "<string>",
"link": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"retryPolicy": {
"maxRetries": 3,
"delaySeconds": 43230
}
}{
"code": "INVALID_SOCIAL_ACCOUNT_ID",
"message": "<string>",
"validationErrors": [
{
"path": "<string>",
"message": "<string>",
"field": "DESCRIPTION"
}
],
"conflictingSocialAccountIds": [
"<string>"
]
}{
"code": "TOO_MANY_CONCURRENT_REQUESTS",
"message": "<string>"
}{
"code": "INVALID_SOCIAL_ACCOUNT_ID",
"message": "<string>",
"validationErrors": [
{
"path": "<string>",
"message": "<string>",
"field": "DESCRIPTION"
}
],
"conflictingSocialAccountIds": [
"<string>"
]
}Create post
Creates a (parent) post with one or more social account (child) posts.
All referenced social accounts must belong to the same project.
The request is validated atomically. If any social account fails validation, the post is not created.
curl --request POST \
--url https://api.woopsocial.com/v1/posts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": [
{
"text": "<string>",
"media": [
{
"type": "MEDIA_LIBRARY",
"mediaId": "<string>"
}
]
}
],
"schedule": {
"type": "PUBLISH_NOW"
},
"socialAccounts": [
{
"platform": "FACEBOOK",
"socialAccountId": "<string>",
"postType": "IMAGE"
}
]
}
'{
"id": "<string>",
"projectId": "<string>",
"content": [
{
"text": "<string>",
"media": [
{
"type": "MEDIA_LIBRARY",
"mediaId": "<string>",
"mediaType": "IMAGE",
"url": "<string>",
"thumbnailUrl": "<string>"
}
]
}
],
"schedule": {
"type": "DRAFT"
},
"autoDeleteMediaAfterPublish": true,
"socialAccountPosts": [
{
"platform": "PINTEREST",
"socialAccountPostId": "<string>",
"postId": "<string>",
"projectId": "<string>",
"socialAccountId": "<string>",
"deliveryStatus": "NOT_STARTED",
"content": [
{
"text": "<string>",
"media": [
{
"type": "MEDIA_LIBRARY",
"mediaId": "<string>",
"mediaType": "IMAGE",
"url": "<string>",
"thumbnailUrl": "<string>"
}
]
}
],
"schedule": {
"type": "DRAFT"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"pinterestBoardId": "<string>",
"deliveryCompletedAt": "2023-11-07T05:31:56Z",
"externalPostId": "<string>",
"externalPostUrl": "<string>",
"errorMessage": "<string>",
"title": "<string>",
"link": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"retryPolicy": {
"maxRetries": 3,
"delaySeconds": 43230
}
}{
"code": "INVALID_SOCIAL_ACCOUNT_ID",
"message": "<string>",
"validationErrors": [
{
"path": "<string>",
"message": "<string>",
"field": "DESCRIPTION"
}
],
"conflictingSocialAccountIds": [
"<string>"
]
}{
"code": "TOO_MANY_CONCURRENT_REQUESTS",
"message": "<string>"
}{
"code": "INVALID_SOCIAL_ACCOUNT_ID",
"message": "<string>",
"validationErrors": [
{
"path": "<string>",
"message": "<string>",
"field": "DESCRIPTION"
}
],
"conflictingSocialAccountIds": [
"<string>"
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Post content expressed as thread items.
The array exists for future thread support. Currently exactly one item is supported.
1 elementShow child attributes
Show child attributes
When the post should be published.
- Draft
- Publish Now
- Schedule For Later
Show child attributes
Show child attributes
Social account targets for this post.
All referenced social accounts must belong to the same project.
Duplicate socialAccountId values are invalid.
1- Facebook
- Instagram
- LinkedIn
- LinkedIn Pages
- Pinterest
- Threads
- TikTok
- WoopTest
- X
- YouTube
Show child attributes
Show child attributes
When true, all media referenced by this post is automatically deleted from the media library after all social account deliveries for the post have published successfully.
Automatic retry policy. Omit to disable automatic retries.
Show child attributes
Show child attributes
Response
Post created.
Post identifier.
Project identifier that the selected social accounts belong to.
Post content expressed as thread items.
The array exists for future thread support. Currently exactly one item is returned.
1 elementShow child attributes
Show child attributes
When the post should be published.
- Draft
- Publish Now
- Schedule For Later
Show child attributes
Show child attributes
Whether media auto-delete-after-publish is enabled for this post.
Platform-specific post instances.
1- Pinterest
- Instagram
- Facebook
- Threads
- TikTok
- YouTube
- X
- LinkedIn
- LinkedIn Pages
- WoopTest
Show child attributes
Show child attributes
UTC time when the post was created.
UTC time when the post was last updated.
Automatically creates a scheduled retry post for each failed target. Successful targets are never copied. Known failures requiring user intervention, such as insufficient credits or disconnected accounts, are not automatically retried. If the platform published a post but its response was lost, retrying may produce a duplicate.
Show child attributes
Show child attributes
Was this page helpful?